package cn.iocoder.yudao.module.jx.service;

import cn.iocoder.yudao.module.jx.domain.DriveSchoolCar;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * 车辆信息Service接口
 *
 * @author ruoyi
 * @date 2024-05-08
 */
public interface IDriveSchoolCarService
{
    /**
     * 查询车辆信息
     *
     * @param id 车辆信息主键
     * @return 车辆信息
     */
    public DriveSchoolCar selectDriveSchoolCarById(Long id);

    /**
     * 查询车辆信息列表
     *
     * @param driveSchoolCar 车辆信息
     * @return 车辆信息集合
     */
    public IPage<DriveSchoolCar> selectDriveSchoolCarList(DriveSchoolCar driveSchoolCar, Page<DriveSchoolCar> page);
    public List<DriveSchoolCar> selectDriveSchoolCarListAll(DriveSchoolCar driveSchoolCar);

    /**
     * 新增车辆信息
     *
     * @param driveSchoolCar 车辆信息
     * @return 结果
     */
    public int insertDriveSchoolCar(DriveSchoolCar driveSchoolCar);

    /**
     * 修改车辆信息
     *
     * @param driveSchoolCar 车辆信息
     * @return 结果
     */
    public int updateDriveSchoolCar(DriveSchoolCar driveSchoolCar);

    /**
     * 批量删除车辆信息
     *
     * @param ids 需要删除的车辆信息主键集合
     * @return 结果
     */
    public int deleteDriveSchoolCarByIds(Long[] ids);

    /**
     * 删除车辆信息信息
     *
     * @param id 车辆信息主键
     * @return 结果
     */
    public int deleteDriveSchoolCarById(Long id);

    String importCars(List<DriveSchoolCar> carsList, boolean updateSupport, String operName) throws Exception;
}
